import json
from flask import Blueprint, request

from gargantools.utils.validation_utils import validation


bp = Blueprint("contexts", __name__, url_prefix="/contexts")

@bp.get('')
def tsvTemplate():
    return json.dumps({"Publication Day": 1, "Publication Month": 1, "Publication Year": 1, "Authors": "Some authors", "Title": "A title", "Abstract": "An abstract", "Source": "Some Source" }, indent=3)

@bp.post('')
def tsvValidation():
    return validation(request, "contexts")
