import json
from flask import Blueprint, request

from gargantools.utils.validation_utils import validation


bp = Blueprint("terms", __name__, url_prefix="/terms")

@bp.get('')
def termsTemplate():
    return json.dumps({"status": "MapTerm", "label": "A term"}, indent=3)

@bp.post('')
def termsValidation():
    return validation(request, "terms")
